package com.neusoft.smart.pos.card.persistent.mapper;

import com.neusoft.smart.pos.card.persistent.domain.CardShopRelation;
import com.neusoft.smart.pos.card.persistent.domain.CardShopRelationExample;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public interface CardShopRelationMapper {
    int countByExample(CardShopRelationExample example);

    int deleteByExample(CardShopRelationExample example);

    int deleteByPrimaryKey(Integer relationId);

    int insert(CardShopRelation record);

    int insertSelective(CardShopRelation record);

    List<CardShopRelation> selectByExample(CardShopRelationExample example);

    CardShopRelation selectByPrimaryKey(Integer relationId);

    int updateByExampleSelective(@Param("record") CardShopRelation record, @Param("example") CardShopRelationExample example);

    int updateByExample(@Param("record") CardShopRelation record, @Param("example") CardShopRelationExample example);

    int updateByPrimaryKeySelective(CardShopRelation record);

    int updateByPrimaryKey(CardShopRelation record);

    void batchInsert(@Param("items") List<CardShopRelation> items);
}